Bug 294381 - XGL(i810) + Xinerama = Crash
XGL(i810) + Xinerama = Crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
7
ia64 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
:
: 295871 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-18 04:17 EDT by Artem
Modified: 2008-06-16 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:25:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (70.06 KB, text/plain)
2007-09-18 04:17 EDT, Artem
no flags Details
xorg.conf (1.83 KB, application/octet-stream)
2007-09-19 02:59 EDT, Artem
no flags Details
Xorg.0.log file from the crash with intel driver (52.52 KB, text/plain)
2007-09-19 15:20 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Artem 2007-09-18 04:17:11 EDT
Description of problem:
x is crashing when I'm trying to: restore amarok, switch to text mode console

Maybe that's a problem of wine, as it is always running at that time.
latest packages are installed.


Backtrace:
0: /usr/bin/X(xf86SigHandler+0x6d) [0x48b99d]
1: /lib64/libc.so.6 [0x36d6430630]
2:
/usr/lib64/xorg/modules/extensions//libGLcore.so(xmesa_check_and_update_buffer_size+0xc)
[0x2aaabd6cc14c]
3: /usr/lib64/xorg/modules/extensions//libGLcore.so [0x2aaabd6fc41d]
4: /usr/lib64/xorg/modules/extensions//libglx.so [0x2aaaab1ba73b]
5: /usr/bin/X(compPositionWindow+0x62) [0x4bf7c2]
6: /usr/bin/X(ResizeChildrenWinSize+0x1ce) [0x43a7de]
7: /usr/bin/X [0x47851a]
8: /usr/bin/X(xf86EnableDisableFBAccess+0xa1) [0x478951]
9: /usr/bin/X [0x4b6430]
10: /usr/bin/X(xf86Wakeup+0x243) [0x48cc83]
11: /usr/bin/X(WakeupHandler+0x51) [0x44f8c1]
12: /usr/bin/X(WaitForSomething+0x1d4) [0x568334]
13: /usr/bin/X(Dispatch+0x9a) [0x44b95a]
14: /usr/bin/X(main+0x45d) [0x43480d]
15: /lib64/libc.so.6(__libc_start_main+0xf4) [0x36d641dab4]
16: /usr/bin/X(FontFileCompleteXLFD+0x229) [0x433ad9]
Comment 1 Artem 2007-09-18 04:17:11 EDT
Created attachment 198221 [details]
xorg log
Comment 2 Matěj Cepl 2007-09-18 07:38:41 EDT
I will forward this to developers, but you can try two things first:

a) instead of i810 driver, try intel driver (just change the line in
/etc/X11/xorg.conf saying i810 to intel)
b) try to switch of Desktop Effects

Did it help?
Comment 3 Artem 2007-09-18 07:51:34 EDT
I changed i810 to intel driver and working normally for a while already.
Everything works (amarok, text mode), so it helps.
Comment 4 Artem 2007-09-19 02:58:45 EDT
Yesterday it was working perfect, but today i was not able to boot my X at all.
bug 295871

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x6d) [0x48b99d]
1: /lib64/libc.so.6 [0x36d6430630]
2: /usr/bin/X(RRCrtcSetRotations+0) [0x51ec20]
3: /usr/bin/X(xf86RandR12SetRotations+0x74) [0x4b3d44]
4: /usr/bin/X(xf86CrtcScreenInit+0xa3) [0x4af173]
5: /usr/lib64/xorg/modules/drivers//intel_drv.so [0x2aaaabc4025d]
6: /usr/bin/X(AddScreen+0x222) [0x433e12]
7: /usr/bin/X(InitOutput+0x269) [0x463289]
8: /usr/bin/X(main+0x275) [0x434625]
9: /lib64/libc.so.6(__libc_start_main+0xf4) [0x36d641dab4]
10: /usr/bin/X(FontFileCompleteXLFD+0x229) [0x433ad9]
Comment 5 Artem 2007-09-19 02:59:23 EDT
Created attachment 199311 [details]
xorg.conf
Comment 6 Matěj Cepl 2007-09-19 15:19:36 EDT
*** Bug 295871 has been marked as a duplicate of this bug. ***
Comment 7 Matěj Cepl 2007-09-19 15:20:15 EDT
Created attachment 199991 [details]
Xorg.0.log file from the crash with intel driver
Comment 8 Artem 2007-10-01 06:17:00 EDT
Hellooooo?
Any activity?
After I removed Xinerama (single head conf now) - it's working, and I'm able to
boot with both: intel and i810 drivers.
So maybe it's a reason to change summary?
Comment 9 Bug Zapper 2008-05-14 10:24:04 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 22:25:52 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.